Subject: Re: bug#18619: 24.3.93; vc-svn-ignore is broken

From: Stefan Monnier <[email-masked]>
Date: Thu, 02 Oct 2014 22:46:04 -0400

> The attached patch mostly takes care of this. The change to `vc-ignore'
> is needed because this property doesn't work with absolute paths. And
> passing a relative path to backend `ignore' implementations make sense
> anyway.

The vc-svn.el change is fine for emacs-24 since the existing code is indeed
hopelessly broken (so it won't be worse in any case).
But could you explain why you think the vc.el change is safe (I can agree
it makes sense, but I want to be extra sure the change is safe).

        Stefan